Bug 357314 - Scrollbar can not be dragged from far right
Summary: Scrollbar can not be dragged from far right
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Plasma
Component: gtk theme (show other bugs)
Version: 5.4.3
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: ---
Assignee: scionicspectre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-29 20:56 UTC by linus.kardell+kdebugs
Modified: 2019-08-10 22:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.17


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description linus.kardell+kdebugs 2015-12-29 20:56:59 UTC
The clickable area for the "blob" in the the scrollbar does not extend to the far right in some application, e.g. Firefox, and thus does not take advantage of Fitt's law.

Reproducible: Always

Steps to Reproduce:
1. Open an affected application e.g. Firefox
2. Maximize window
3. Go to page tall enough to scroll
4. Put cursor to far right of screen by "scroll blob"
5. Try drag "scroll blob"

Actual Results:  
Nothing happens

Expected Results:  
Page scrolls

Only affect some applications, many are unaffected, including Kate mentioned in https://bugs.kde.org/show_bug.cgi?id=339413.
Comment 1 Hugo Pereira Da Costa 2015-12-29 22:35:33 UTC
Hi, 
Thanks for reporting.
That should be a gtk only (and possibly gtk3) bug (as reported from firefox).
I doubt that this will be easily fixed though. It is a consequence of having scrollbars *inside* the scrollview rather than outside (as was the case for oxygen). 
For Qt we had to implement special tricks to respect fitt's law nonetheless (basically extending, by hand, the scollbar hit area), which I doubt can be achieved with a pixbuf only gtk engine.
Will leave that to the experts though.
Comment 2 scionicspectre 2015-12-30 00:36:48 UTC
Actually, this has been fixed in the Github version of the theme which I've had issues merging. I sadly have very limited time (and expertise) for this, but if anyone wishes to assist, here's the repo: https://github.com/dirruk1/gnome-breeze.

The plan is to only work on the theme in the KDE repos once those recent changes are merged (everything from the upstream polish commit here: https://github.com/dirruk1/gnome-breeze/pull/41).
Comment 3 apache 2019-03-17 10:18:57 UTC
Has anything changed about this?

I use libreoffice-still  6.1.5.2 Build ID: 6.1.5-2, VCL: gtk3_kde5;
and I have issues with fat window frame. 

I use Plasma 5 and breeze-dark theme for gtk3 applications and scrollbar is very narrow and what is more important window edge is very wide. As a consequence mouse doesn't touch scrollbar. 

https://i.imgur.com/RwQyrtG.png

Compare: on the left LO frame and on the right: Plasma 5 window with qtcurve applied - no window borders and no problems with mouse.
https://i.imgur.com/dD2hShN.png

It is a problem with long documents when it is not convenient to use mouse wheel and scrollbar must be used.
Comment 4 apache 2019-03-17 14:36:46 UTC
I noticed that in Manjaro Breath-Dark it is done properly. It means that mouse touches scrollbar when moved to the screen edge.
Comment 5 Nate Graham 2019-08-10 22:28:18 UTC
This fixed now!